#!/bin/sh -x

# add AMT serial console to inittab

ttyS=`dmesg | grep ttyS | grep 0x | tail -1 | sed 's/^.*\(ttyS[0-9]\).*$/\1/'`

test -z "$ttyS" && echo "Can't find serial port in dmesg output" && exit

if ! grep $ttyS /etc/inittab | grep -v ^# ; then
	echo "Am:2345:respawn:/sbin/getty $ttyS 115200 vt100-nav" >> /etc/inittab
	init q
fi

ps ax | grep $ttyS | grep -v grep

grub=/boot/grub/menu.lst
tmp=/tmp/menu.lst

test -f $grub || exit

if ! grep '^# kopt=' $grub | grep console= ; then
	cat $grub | sed "s/^\(# kopt=.*\)$/\1 console=$ttyS,115200 console=tty0/" > $tmp
else
	cat $grub > $tmp
fi


if ! grep 'terminal *serial' $grub ; then
	port=`dmesg | grep ttyS | grep 0xe | sed 's/^.*\(0xe[0-9a-f]*\).*$/\1/'`
	cat $tmp | sed "s/\(### BEGIN AUTOMAGIC KERNELS LIST\)/serial --port=$port --speed=115200\nterminal serial\n\n\1/" >> $tmp.serial && mv $tmp.serial $tmp || exit
fi

if ! diff -urw $grub $tmp ; then
	mv $tmp $grub && update-grub
fi
